/*
 * Copyright 2020 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

#include <string.h>

#include "sha256.h"

#include "hsh.h"

int get_hsh_data(char *curbuf, int curlen, char *buf, int buflen)
{
    SHA256_CTX ctx;
    if(buflen < SHA256_BLOCK_SIZE) return -1;
    sha256_init(&ctx);
    sha256_update(&ctx, (unsigned char *)curbuf, curlen);
    sha256_final(&ctx, (unsigned char *)buf);
    return SHA256_BLOCK_SIZE;
}

